Skip to main content
Server path: /vercel-projects | Type: Application | PCID required: Yes

Tools

ToolDescription
vercel_projects_accept_project_transfer_requestAccept project transfer request
vercel_projects_add_project_domainAdd a domain to a project
vercel_projects_add_project_memberAdds a new member to a project.
vercel_projects_batch_remove_project_envBatch remove environment variables
vercel_projects_create_custom_environmentCreate a custom environment for the current project.
vercel_projects_create_projectCreate a new project
vercel_projects_create_project_envCreate one or more environment variables
vercel_projects_create_project_transfer_requestCreate project transfer request
vercel_projects_create_shared_env_variableCreate one or more shared environment variables
vercel_projects_delete_projectDelete a Project
vercel_projects_delete_shared_env_variableDelete one or more Env Var
vercel_projects_edit_project_envEdit an environment variable
vercel_projects_filter_project_envsRetrieve the environment variables of a project by id or name
vercel_projects_get_by_id_or_name_custom_environmentsRetrieve custom environments
vercel_projects_get_custom_environmentRetrieve a custom environment
vercel_projects_get_projectFind a project by id or name
vercel_projects_get_project_domainGet a project domain
vercel_projects_get_project_domainsRetrieve project domains by project by id or name
vercel_projects_get_project_envRetrieve the decrypted value of an environment variable of a project by id
vercel_projects_get_project_membersList project members
vercel_projects_get_projectsRetrieve a list of projects
vercel_projects_get_shared_env_varRetrieve the decrypted value of a Shared Environment Variable by id.
vercel_projects_list_promote_aliasesGets a list of aliases with status for the current promote
vercel_projects_list_shared_env_variableLists all Shared Environment Variables for a team
vercel_projects_move_project_domainMove a project domain
vercel_projects_pause_projectPause a project
vercel_projects_remove_custom_environmentRemove a custom environment
vercel_projects_remove_project_domainRemove a domain from a project
vercel_projects_remove_project_envRemove an environment variable
vercel_projects_remove_project_memberRemove a Project Member
vercel_projects_request_promotePoints all production domains for a project to the given deploy
vercel_projects_request_rollbackPoints all production domains for a project to the given deploy
vercel_projects_unlink_shared_env_variableDisconnects a shared environment variable for a given project
vercel_projects_unpause_projectUnpause a project
vercel_projects_update_custom_environmentUpdate a custom environment
vercel_projects_update_microfrontendsUpdate the microfrontends settings
vercel_projects_update_projectUpdate an existing project
vercel_projects_update_project_domainUpdate a project domain
vercel_projects_update_project_protection_bypassUpdate Protection Bypass for Automation
vercel_projects_update_projects_by_project_id_rollback_by_deployment_id_update_descriptionUpdates the description for a rollback
vercel_projects_update_shared_env_variableUpdates one or more shared environment variables
vercel_projects_verify_project_domainVerify project domain

vercel_projects_accept_project_transfer_request

Accept project transfer request Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesThe code of the project transfer request.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
acceptedPoliciesobjectNoAccepted Policies
newProjectNamestringNoThe desired name for the project
paidFeaturesobjectNoPaid Features

vercel_projects_add_project_domain

Add a domain to a project Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
customEnvironmentIdstringNoThe unique custom environment identifier within the project
gitBranchstringNoGit branch to link the project domain
namestringYesThe project domain name
redirectstringNoTarget destination domain for redirect
redirectStatusCodeintegerNoStatus code for domain redirect

vercel_projects_add_project_member

Adds a new member to a project. Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe ID or name of the Project.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
emailstringNoThe email of the team member that should be added to this project.
rolestringYesThe project role of the member that will be added.
uidstringNoThe ID of the team member that should be added to this project.
usernamestringNoThe username of the team member that should be added to this project.

vercel_projects_batch_remove_project_env

Batch remove environment variables Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
idsany[]YesArray of environment variable IDs to delete

vercel_projects_create_custom_environment

Create a custom environment for the current project. Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
branchMatcherobjectNoHow we want to determine a matching branch. This is optional.
copyEnvVarsFromstringNoWhere to copy environment variables from. This is optional.
descriptionstringNoDescription of the custom environment. This is optional.

vercel_projects_create_project

Create a new project Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
buildCommandstringNoThe build command for this project. When null is used this value will be automatically detected
commandForIgnoringBuildStepstringNoCommand For Ignoring Build Step
devCommandstringNoThe dev command for this project. When null is used this value will be automatically detected
enableAffectedProjectsDeploymentsbooleanNoOpt-in to skip deployments when there are no changes to the root directory and its dependencies
enablePreviewFeedbackbooleanNoOpt-in to preview toolbar on the project level
enableProductionFeedbackbooleanNoOpt-in to production toolbar on the project level
environmentVariablesany[]NoCollection of ENV Variables the Project will use
frameworkobjectNoThe framework that is being used for this project. When null is used no framework is selected
gitRepositoryobjectNoThe Git Repository that will be connected to the project. When this is defined, any pushes to the specified connected Git Repository will be automatically deployed
installCommandstringNoThe install command for this project. When null is used this value will be automatically detected
namestringYesThe desired name for the project
oidcTokenConfigobjectNoOpenID Connect JSON Web Token generation configuration.
outputDirectorystringNoThe output directory of the project. When null is used this value will be automatically detected
previewDeploymentsDisabledbooleanNoSpecifies whether preview deployments are disabled for this project.
previewDeploymentSuffixstringNoCustom domain suffix for preview deployments. Takes precedence over team-level suffix. Must be a domain owned by the team.
publicSourcebooleanNoSpecifies whether the source code and logs of the deployments for this project should be public or not
resourceConfigobjectNoSpecifies resource override configuration for the project
rootDirectorystringNoThe name of a directory or relative path to the source code of your project. When null is used it will default to the project root
serverlessFunctionRegionstringNoThe region to deploy Serverless Functions in this project
serverlessFunctionZeroConfigFailoverbooleanNoSpecifies whether Zero Config Failover is enabled for this project.
skipGitConnectDuringLinkbooleanNoOpts-out of the message prompting a CLI user to connect a Git repository in vercel link.
ssoProtectionobjectNoThe Vercel Auth setting for the project (historically named “SSO Protection”)

vercel_projects_create_project_env

Create one or more environment variables Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
upsertstringNoAllow override of environment variable if it already exists
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
bodyany[]YesRequest body

vercel_projects_create_project_transfer_request

Create project transfer request Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe ID or name of the project to transfer.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
callbackSecretstringNoThe secret to use to sign the webhook payload with HMAC-SHA256.
callbackUrlstringNoThe URL to send a webhook to when the transfer is accepted.

vercel_projects_create_shared_env_variable

Create one or more shared environment variables Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
evsany[]YesThe evs value
projectIdany[]NoAssociate a Shared Environment Variable to projects.
targetany[]NoThe target environment of the Shared Environment Variable
typestringNoThe type of environment variable

vercel_projects_delete_project

Delete a Project Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_delete_shared_env_variable

Delete one or more Env Var Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
idsany[]YesIDs of the Shared Environment Variables to delete

vercel_projects_edit_project_env

Edit an environment variable Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
idstringYesThe unique environment variable identifier
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
commentstringNoA comment to add context on what this env var is for
customEnvironmentIdsany[]NoThe custom environments that the environment variable should be synced to
gitBranchstringNoIf defined, the git branch of the environment variable (must have target=preview)
keystringNoThe name of the environment variable
targetany[]NoThe target environment of the environment variable
typestringNoThe type of environment variable
valuestringNoThe value of the environment variable

vercel_projects_filter_project_envs

Retrieve the environment variables of a project by id or name Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
gitBranchstringNoIf defined, the git branch of the environment variable to filter the results (must have target=preview)
decryptstringNoIf true, the environment variable value will be decrypted
sourcestringNoThe source that is calling the endpoint.
customEnvironmentIdstringNoThe unique custom environment identifier within the project
customEnvironmentSlugstringNoThe custom environment slug (name) within the project
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_get_by_id_or_name_custom_environments

Retrieve custom environments Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
gitBranchstringNoFetch custom environments for a specific git branch
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_get_custom_environment

Retrieve a custom environment Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
environmentSlugOrIdstringYesThe unique custom environment identifier within the project
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_get_project

Find a project by id or name Parameters:
ParameterTypeRequiredDefaultDescription
idOrNameobjectYesThe unique project identifier or the project name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_get_project_domain

Get a project domain Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
domainstringYesThe project domain name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_get_project_domains

Retrieve project domains by project by id or name Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
productionobjectNoFilters only production domains when set to true.
targetstringNoFilters on the target of the domain. Can be either “production”, “preview”
customEnvironmentIdstringNoThe unique custom environment identifier within the project
gitBranchstringNoFilters domains based on specific branch.
redirectsobjectNoExcludes redirect project domains when “false”. Includes redirect project domains when “true” (default).
redirectstringNoFilters domains based on their redirect target.
verifiedobjectNoFilters domains based on their verification status.
limitnumberNoMaximum number of domains to list from a request (max 100).
sincenumberNoGet domains created after this JavaScript timestamp.
untilnumberNoGet domains created before this JavaScript timestamp.
orderobjectNoDomains sort order by createdAt
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_get_project_env

Retrieve the decrypted value of an environment variable of a project by id Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
idstringYesThe unique ID for the environment variable to get the decrypted value.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_get_project_members

List project members Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe ID or name of the Project.
limitintegerNoLimit how many project members should be returned
sinceintegerNoTimestamp in milliseconds to only include members added since then.
untilintegerNoTimestamp in milliseconds to only include members added until then.
searchstringNoSearch project members by their name, username, and email.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_get_projects

Retrieve a list of projects Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoQuery only projects updated after the given timestamp or continuation token.
gitForkProtectionstringNoSpecifies whether PRs from Git forks should require a team member’s authorization before it can be deployed
limitstringNoLimit the number of projects returned
searchstringNoSearch projects by the name field
repostringNoFilter results by repo. Also used for project count
repoIdstringNoFilter results by Repository ID.
repoUrlstringNoFilter results by Repository URL.
excludeReposstringNoFilter results by excluding those projects that belong to a repo
edgeConfigIdstringNoFilter results by connected Edge Config ID
edgeConfigTokenIdstringNoFilter results by connected Edge Config Token ID
deprecatedbooleanNoThe deprecated value
elasticConcurrencyEnabledstringNoFilter results by projects with elastic concurrency enabled
staticIpsEnabledstringNoFilter results by projects with Static IPs enabled
buildMachineTypesstringNoFilter results by build machine types. Accepts comma-separated values. Use “default” for projects without a build machine type set.
buildQueueConfigurationstringNoFilter results by build queue configuration. SKIP_NAMESPACE_QUEUE includes projects without a configuration set.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_get_shared_env_var

Retrieve the decrypted value of a Shared Environment Variable by id. Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique ID for the Shared Environment Variable to get the decrypted value.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_list_promote_aliases

Gets a list of aliases with status for the current promote Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
limitnumberNoMaximum number of aliases to list from a request (max 100).
sincenumberNoGet aliases created after this epoch timestamp.
untilnumberNoGet aliases created before this epoch timestamp.
failedOnlybooleanNoFilter results down to aliases that failed to map to the requested deployment
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_list_shared_env_variable

Lists all Shared Environment Variables for a team Parameters:
ParameterTypeRequiredDefaultDescription
searchstringNoThe search value
projectIdstringNoFilter SharedEnvVariables that belong to a project
idsstringNoFilter SharedEnvVariables based on comma separated ids
exclude_idsstringNoFilter SharedEnvVariables based on comma separated ids
exclude-idsstringNoFilter SharedEnvVariables based on comma separated ids
exclude_projectIdstringNoFilter SharedEnvVariables that belong to a project
exclude-projectIdstringNoFilter SharedEnvVariables that belong to a project
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_move_project_domain

Move a project domain Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
domainstringYesThe project domain name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
gitBranchstringNoGit branch to link the project domain
projectIdstringYesThe unique target project identifier
redirectstringNoTarget destination domain for redirect
redirectStatusCodeintegerNoStatus code for domain redirect

vercel_projects_pause_project

Pause a project Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique project identifier
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_remove_custom_environment

Remove a custom environment Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
environmentSlugOrIdstringYesThe unique custom environment identifier within the project
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
deleteUnassignedEnvironmentVariablesbooleanNoDelete Environment Variables that are not assigned to any environments.

vercel_projects_remove_project_domain

Remove a domain from a project Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
domainstringYesThe project domain name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
removeRedirectsbooleanNoWhether to remove all domains from this project that redirect to the domain being removed.

vercel_projects_remove_project_env

Remove an environment variable Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
idstringYesThe unique environment variable identifier
customEnvironmentIdstringNoThe unique custom environment identifier within the project
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_remove_project_member

Remove a Project Member Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe ID or name of the Project.
uidstringYesThe user ID of the member.
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_request_promote

Points all production domains for a project to the given deploy Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
deploymentIdstringYesDeployment Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_request_rollback

Points all production domains for a project to the given deploy Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
deploymentIdstringYesThe ID of the deployment to rollback to
descriptionstringNoThe reason for the rollback
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

Disconnects a shared environment variable for a given project Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique ID for the Shared Environment Variable to unlink from the project.
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_unpause_project

Unpause a project Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique project identifier
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_projects_update_custom_environment

Update a custom environment Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
environmentSlugOrIdstringYesThe unique custom environment identifier within the project
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
branchMatcherobjectNoHow we want to determine a matching branch. This is optional.
descriptionstringNoDescription of the custom environment. This is optional.

vercel_projects_update_microfrontends

Update the microfrontends settings Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique project identifier
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
defaultRoutestringNoThe default route used for screenshots and preview links for the project
doNotRouteWithMicrofrontendsRoutingbooleanNoWhether domains in this project should route as a microfrontend. Can only be set for child applications.
enabledbooleanNoEnable or disable microfrontends for the project
isDefaultAppbooleanNoWhether the application is the default application for the microfrontends group
microfrontendsGroupIdstringNoThe unique group identifier to add this microfrontend to
routeObservabilityToThisProjectbooleanNoWhether observability data should be routed to this project or a root project. Can only be set for child applications.

vercel_projects_update_project

Update an existing project Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
autoAssignCustomDomainsbooleanNoAuto Assign Custom Domains
autoAssignCustomDomainsUpdatedBystringNoAuto Assign Custom Domains Updated By
autoExposeSystemEnvsbooleanNoAuto Expose System Envs
buildCommandstringNoThe build command for this project. When null is used this value will be automatically detected
commandForIgnoringBuildStepstringNoCommand For Ignoring Build Step
connectConfigurationsany[]NoThe list of connections from project environment to Secure Compute network
customerSupportCodeVisibilitybooleanNoSpecifies whether customer support can see git source for a deployment
devCommandstringNoThe dev command for this project. When null is used this value will be automatically detected
directoryListingbooleanNoDirectory Listing
dismissedToastsany[]NoAn array of objects representing a Dismissed Toast in regards to a Project. Objects are either merged with existing toasts (on key match), or added to the dimissedToasts array.`
enableAffectedProjectsDeploymentsbooleanNoOpt-in to skip deployments when there are no changes to the root directory and its dependencies
enableExternalRewriteCachingbooleanNoSpecifies whether external rewrite caching is enabled for this project.
enablePreviewFeedbackbooleanNoOpt-in to preview toolbar on the project level
enableProductionFeedbackbooleanNoOpt-in to production toolbar on the project level
frameworkstringNoThe framework that is being used for this project. When null is used no framework is selected
gitForkProtectionbooleanNoSpecifies whether PRs from Git forks should require a team member’s authorization before it can be deployed
gitLFSbooleanNoSpecifies whether Git LFS is enabled for this project.
installCommandstringNoThe install command for this project. When null is used this value will be automatically detected
namestringNoThe desired name for the project
nodeVersionstringNoNode Version
oidcTokenConfigobjectNoOpenID Connect JSON Web Token generation configuration.
optionsAllowlistobjectNoSpecify a list of paths that should not be protected by Deployment Protection to enable Cors preflight requests
outputDirectorystringNoThe output directory of the project. When null is used this value will be automatically detected
passwordProtectionobjectNoAllows to protect project deployments with a password
previewDeploymentsDisabledbooleanNoSpecifies whether preview deployments are disabled for this project.
previewDeploymentSuffixstringNoCustom domain suffix for preview deployments. Takes precedence over team-level suffix. Must be a domain owned by the team.
protectedSourcemapsbooleanNoSpecifies whether sourcemaps are protected and require authentication to access.
publicSourcebooleanNoSpecifies whether the source code and logs of the deployments for this project should be public or not
resourceConfigobjectNoSpecifies resource override configuration for the project
rootDirectorystringNoThe name of a directory or relative path to the source code of your project. When null is used it will default to the project root
serverlessFunctionRegionstringNoThe region to deploy Serverless Functions in this project
serverlessFunctionZeroConfigFailoverbooleanNoSpecifies whether Zero Config Failover is enabled for this project.
skewProtectionAllowedDomainsany[]NoCross-site domains allowed to fetch skew-protected assets (hostnames, optionally with leading wildcard like *.example.com).
skewProtectionBoundaryAtintegerNoDeployments created before this absolute datetime have Skew Protection disabled. Value is in milliseconds since epoch to match “createdAt” fields.
skewProtectionMaxAgeintegerNoDeployments created before this rolling window have Skew Protection disabled. Value is in seconds to match “revalidate” fields.
skipGitConnectDuringLinkbooleanNoOpts-out of the message prompting a CLI user to connect a Git repository in vercel link.
sourceFilesOutsideRootDirectorybooleanNoIndicates if there are source files outside of the root directory
ssoProtectionobjectNoEnsures visitors to your Preview Deployments are logged into Vercel and have a minimum of Viewer access on your team
staticIpsobjectNoManage Static IPs for this project
tracingobjectNoTracing configuration for this project
trustedIpsobjectNoRestricts access to deployments based on the incoming request IP address

vercel_projects_update_project_domain

Update a project domain Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
domainstringYesThe project domain name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
gitBranchstringNoGit branch to link the project domain
redirectstringNoTarget destination domain for redirect
redirectStatusCodeintegerNoStatus code for domain redirect

vercel_projects_update_project_protection_bypass

Update Protection Bypass for Automation Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
generateobjectNoGenerate a new secret. If neither generate or revoke are provided, a new random secret will be generated.
revokeobjectNoOptional instructions for revoking and regenerating a automation bypass
updateobjectNoUpdate an existing bypass

vercel_projects_update_projects_by_project_id_rollback_by_deployment_id_update_description

Updates the description for a rollback Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
deploymentIdstringYesDeployment Id
descriptionstringNoThe reason for the rollback

vercel_projects_update_shared_env_variable

Updates one or more shared environment variables Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
updatesobjectYesAn object where each key is an environment variable ID (not the key name) and the value is the update to apply

vercel_projects_verify_project_domain

Verify project domain Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
domainstringYesThe domain name you want to verify
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.